Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
BTreeDatabase..::.FastStats Method (Transaction, Isolation)
BTreeDatabase Class See Also Send Feedback

Return the database statistical information which does not require traversal of the database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#
    public BTreeStats FastStats(
    	Transaction txn,
    	Isolation isoDegree
    )

Visual Basic (Declaration)
    Public Function FastStats ( _
    	txn As Transaction, _
    	isoDegree As Isolation _
    ) As BTreeStats

Visual C++
    public:
    BTreeStats^ FastStats(
    	Transaction^ txn,
    	Isolation isoDegree
    )

#### Parameters

txn
  Type: BerkeleyDB..::.Transaction
  If the operation is part of an application-specified transaction, txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

isoDegree
  Type: BerkeleyDB..::.Isolation
  The level of isolation for database reads. DEGREE_ONE is silently ignored for databases which did not specify ReadUncommitted.

#### Return Value

The database statistical information which does not require traversal of the database.

# See Also

BTreeDatabase Class
FastStats Overload
BerkeleyDB Namespace